Subject: Re: FVWM: Lose ability to connect to X after some days

From: Kyle <[email-masked]>
Date: Fri, 03 Jan 2003 14:28:04 -0700

Cameron Simpson wrote:

>On 12:28 30 Dec 2002, Kyle <[email-masked]> wrote:
>| If I do:
>| 
>| export DISPLAY=hostname:0.0
>| 
>| then I can launch programs from the shell window (via tcp), but if I 
>| again do:
>| 
>| export DISPLAY=:0
>| 
>| It still fails.  So its like unix access to the server doesn't work, but 
>| tcp access still does.
>
>Check to see if the unix socket is still there:
>
>	% ls -la /tmp/.X11-unix
>	total 32
>	drwxrwxrwt    2 root     cameron      4096 Dec 29 14:50 .
>	drwxrwxrwt  294 root     root        28672 Jan  1 12:51 ..
>	srwxrwxrwx    1 root     cameron         0 Dec 29 14:50 X0
>
>Maybe some overly helpful /tmp cleaning program has removed it.
>How precise is that "two weeks" time measurement? Like clockwork,
>or just touchy-feely?
>
That was an estimate.  But I do have a cron job that cleans files in 
/tmp that are older than about 10 days.  That's probably pretty close to 
what I'm seeing.  Thanks!

>
>| If I try to restart fvwm, the session crashes and I have to log back in 
>| again.  Then the session works for a number of days again and then 
>| mysteriously fails again.
>
>Work around it in your .xsession (or .xinitrc, depending) by setting
>$DISPLAY there.
>
>| I thought of always starting fvwm with -d hostname:0.0, but no luck.  It 
>| still forces the DISPLAY variable to :0.0.
>
>More likely it doesn't touch the $DISPLAY variable at all. So all your
>subprograms are using :0.0 while fvwm is using hostname:0.0.
>
Nope, I checked the source.  Fvwm does set the DISPLAY variable 
explicitly.  And if you set it to hostname:0.0 and hostname is the local 
host, it forces it to :0.0.  I think this is actually a function of the 
Xlib function that opens the display.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].